package com.szyd.util;

import android.app.ProgressDialog;
import android.content.Context;
import android.content.Intent;
import android.support.v7.app.AlertDialog;
import android.widget.Toast;

import com.szyd.uhfdemo.MyApp;
import com.szyd.uhfdemo.R;

/**
 * author CYD
 * date 2018/11/26
 * email chengyd@idatachina.com
 */
public final class MUtil {

    public static void show(String text) {
        Toast.makeText(MyApp.getMyApp(), text, Toast.LENGTH_SHORT).show();
    }

    public static void show(int rid) {
        Toast.makeText(MyApp.getMyApp(), rid, Toast.LENGTH_SHORT).show();
    }

    private static ProgressDialog dialog;

    //8.0以上的废弃了ProgressDialog，不可用
    public static void showProgressDialog(String text, Context con) {
        if (dialog == null) {
            dialog = new ProgressDialog(con);
            dialog.setTitle(text);
            dialog.setCancelable(false);
            dialog.show();
        }
    }

    public static void cancleDialog() {
        if (dialog != null) {
            dialog.cancel();
            dialog = null;
        }
    }

    private static AlertDialog atdialog;



    public static void warningDialog(Context con) {
        if (atdialog == null) {
            atdialog = new AlertDialog.Builder(con).create();
            atdialog.setTitle(R.string.poweon_failed);
            atdialog.setMessage(con.getString(R.string.notice_power_failed));
            atdialog.setCancelable(false);
            atdialog.show();
        }
    }

    public static void cancelWaringDialog() {
        if (atdialog != null) {
            atdialog.cancel();
            atdialog = null;
        }
    }


    private static final String ACTION_KEYBD_REMAP = "android.intent.extend.KEYBD_REMAP";
    private static final String INTENT_EXTRA_COMMAND = "cmd";
    private static final String INTENT_EXTRA_PARAM_1 = "arg1";
    private static final String INTENT_EXTRA_PARAM_2 = "arg2";

    private static void kpd_enableKeybd(boolean bEnable) {
        Intent intent = new Intent(ACTION_KEYBD_REMAP);
        intent.putExtra(INTENT_EXTRA_COMMAND, "enable");
        intent.putExtra(INTENT_EXTRA_PARAM_1, (bEnable ? 1 : 0)); // 0: disable / 1: enable
        MyApp.getMyApp().sendBroadcast(intent);
    }

    private static void kpd_rebindKeybd(int origKeyCode, int rebindKeyCode) {
        Intent intent = new Intent();
        intent.setAction(ACTION_KEYBD_REMAP);
        intent.putExtra(INTENT_EXTRA_COMMAND, "remap");
        //**** Reference: /kernel-4.9/include/uapi/linux/input-event-codes.h ****
        intent.putExtra(INTENT_EXTRA_PARAM_1, origKeyCode); // original key scancode
        intent.putExtra(INTENT_EXTRA_PARAM_2, rebindKeyCode); // remap key scancode
        MyApp.getMyApp().sendBroadcast(intent);
    }

    //  KEY_BUTTON_4(260) -> KEY_F8(473) , 修改把枪默认上报键值
    public static void updateBarGunKeycode(int BTN_4, int KEY_8) {
        kpd_enableKeybd(true);
        kpd_rebindKeybd(BTN_4, KEY_8);
    }




}
